Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class EnquiryNcbAddressType

    java.lang.Object
      nz.co.cks.tms.xml.EnquiryNcbAddressType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EnquiryNcbAddress

public abstract class EnquiryNcbAddressType
extends java.lang.Object
implements java.io.Serializable

Class EnquiryNcbAddressType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private java.util.Vector` | `_ncbAddressList` Field _ncbAddressList
`private int` | `_ncbId` Field _ncbId

Constructor Summary
`EnquiryNcbAddressType()`

Method Summary
`void` | `addNcbAddress(int index, NcbAddress vNcbAddress)` Method addNcbAddress
`void` | `addNcbAddress(NcbAddress vNcbAddress)` Method addNcbAddress
`java.util.Enumeration` | `enumerateNcbAddress()` Method enumerateNcbAddress
`NcbAddress[]` | `getNcbAddress()` Method getNcbAddress
`NcbAddress` | `getNcbAddress(int index)` Method getNcbAddress
`int` | `getNcbAddressCount()` Method getNcbAddressCount
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `removeAllNcbAddress()` Method removeAllNcbAddress
`NcbAddress` | `removeNcbAddress(int index)` Method removeNcbAddress
`void` | `setNcbAddress(int index, NcbAddress vNcbAddress)` Method setNcbAddress
`void` | `setNcbAddress(NcbAddress[] ncbAddressArray)` Method setNcbAddress
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _ncbAddressList

    private java.util.Vector _ncbAddressList

  Field _ncbAddressList

### _ncbId

    private int _ncbId

  Field _ncbId

Constructor Detail

### EnquiryNcbAddressType

    public EnquiryNcbAddressType()

Method Detail

### addNcbAddress

    public void addNcbAddress(int index,
                              NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbAddress

  Parameters:
    `index` -
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbAddress

    public void addNcbAddress(NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbAddress

  Parameters:
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateNcbAddress

    public java.util.Enumeration enumerateNcbAddress()

  Method enumerateNcbAddress

### getNcbAddress

    public NcbAddress[] getNcbAddress()

  Method getNcbAddress

### getNcbAddress

    public NcbAddress getNcbAddress(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getNcbAddress

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbAddressCount

    public int getNcbAddressCount()

  Method getNcbAddressCount

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### removeAllNcbAddress

    public void removeAllNcbAddress()

  Method removeAllNcbAddress

### removeNcbAddress

    public NcbAddress removeNcbAddress(int index)

  Method removeNcbAddress

  Parameters:
    `index` -

### setNcbAddress

    public void setNcbAddress(int index,
                              NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method setNcbAddress

  Parameters:
    `index` -
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcbAddress

    public void setNcbAddress(NcbAddress[] ncbAddressArray)

  Method setNcbAddress

  Parameters:
    `ncbAddressArray` -

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD